import { HcApi } from '../../../request/index'

export default {
    //分页
    async page(form, msg = true) {
        return HcApi({
            url: '/api/blade-business/entrustinfo/page',
            method: 'get',
            params: form,
        }, msg)
    },
    //委托单信息表
    async htmlSave(form, msg = true) {
        return HcApi({
            url: '/api/blade-business/entrustinfo/save_entrust_data',
            method: 'post',
            data: form,
        }, msg)
    },
    //详情
    async detail(id, msg = true) {
        return HcApi({
            url: '/api/blade-business/entrustinfo/get-report-detail',
            method: 'post',
            params: { id },
        }, msg)
    },
    //创建报告
    async update(form, msg = true) {
        return HcApi({
            url: '/api/blade-business/entrustinfo/update',
            method: 'post',
            data: form,
        }, msg)
    },
    //删除
    async remove(ids, msg = true) {
        return HcApi({
            url: '/api/blade-business/entrustinfo/remove',
            method: 'post',
            params: { ids },
        }, msg)
    },
}
